### Signal

# Gtk CellArea::apply-attributes

#### Declaration

    void
    apply_attributes (
      GtkCellArea self,
      GtkTreeModel* model,
      GtkTreeIter* iter,
      gboolean is_expander,
      gboolean is_expanded,
      gpointer user_data
    )

#### Description [src]

This signal is emitted whenever applying attributes to `area` from `model`.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`model` | `GtkTreeModel`
| The `GtkTreeModel` to apply the attributes from.
| The data is owned by the caller of the function.
`iter` | `GtkTreeIter`
| The `GtkTreeIter` indicating which row to apply the attributes of.
| The data is owned by the caller of the function.
`is_expander` | `gboolean`
| Whether the view shows children for this row.
`is_expanded` | `gboolean`
| Whether the view is currently showing the children of this row.